Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network201.2.78.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
201.2.78.0
Broadcast address
201.2.79.255
First usable
201.2.78.1
Last usable
201.2.79.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
C (default /24)
As numbers
Hex C9024E00 · Integer 3372371456 to 3372371967
Reverse DNS zones
78.2.201.in-addr.arpa
79.2.201.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001001.00000010.01001110.00000000201.2.78.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11001001.00000010.01001110.00000000201.2.78.0
Broadcast11001001.00000010.01001111.11111111201.2.79.255
Split into smaller subnets/30

201.2.78.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1201.2.78.0/30201.2.78.1 to 201.2.78.2201.2.78.32
2201.2.78.4/30201.2.78.5 to 201.2.78.6201.2.78.72
3201.2.78.8/30201.2.78.9 to 201.2.78.10201.2.78.112
4201.2.78.12/30201.2.78.13 to 201.2.78.14201.2.78.152
5201.2.78.16/30201.2.78.17 to 201.2.78.18201.2.78.192
6201.2.78.20/30201.2.78.21 to 201.2.78.22201.2.78.232
7201.2.78.24/30201.2.78.25 to 201.2.78.26201.2.78.272
8201.2.78.28/30201.2.78.29 to 201.2.78.30201.2.78.312
9201.2.78.32/30201.2.78.33 to 201.2.78.34201.2.78.352
10201.2.78.36/30201.2.78.37 to 201.2.78.38201.2.78.392
11201.2.78.40/30201.2.78.41 to 201.2.78.42201.2.78.432
12201.2.78.44/30201.2.78.45 to 201.2.78.46201.2.78.472
13201.2.78.48/30201.2.78.49 to 201.2.78.50201.2.78.512
14201.2.78.52/30201.2.78.53 to 201.2.78.54201.2.78.552
15201.2.78.56/30201.2.78.57 to 201.2.78.58201.2.78.592
16201.2.78.60/30201.2.78.61 to 201.2.78.62201.2.78.632
17201.2.78.64/30201.2.78.65 to 201.2.78.66201.2.78.672
18201.2.78.68/30201.2.78.69 to 201.2.78.70201.2.78.712
19201.2.78.72/30201.2.78.73 to 201.2.78.74201.2.78.752
20201.2.78.76/30201.2.78.77 to 201.2.78.78201.2.78.792
21201.2.78.80/30201.2.78.81 to 201.2.78.82201.2.78.832
22201.2.78.84/30201.2.78.85 to 201.2.78.86201.2.78.872
23201.2.78.88/30201.2.78.89 to 201.2.78.90201.2.78.912
24201.2.78.92/30201.2.78.93 to 201.2.78.94201.2.78.952
25201.2.78.96/30201.2.78.97 to 201.2.78.98201.2.78.992
26201.2.78.100/30201.2.78.101 to 201.2.78.102201.2.78.1032
27201.2.78.104/30201.2.78.105 to 201.2.78.106201.2.78.1072
28201.2.78.108/30201.2.78.109 to 201.2.78.110201.2.78.1112
29201.2.78.112/30201.2.78.113 to 201.2.78.114201.2.78.1152
30201.2.78.116/30201.2.78.117 to 201.2.78.118201.2.78.1192
31201.2.78.120/30201.2.78.121 to 201.2.78.122201.2.78.1232
32201.2.78.124/30201.2.78.125 to 201.2.78.126201.2.78.1272
33201.2.78.128/30201.2.78.129 to 201.2.78.130201.2.78.1312
34201.2.78.132/30201.2.78.133 to 201.2.78.134201.2.78.1352
35201.2.78.136/30201.2.78.137 to 201.2.78.138201.2.78.1392
36201.2.78.140/30201.2.78.141 to 201.2.78.142201.2.78.1432
37201.2.78.144/30201.2.78.145 to 201.2.78.146201.2.78.1472
38201.2.78.148/30201.2.78.149 to 201.2.78.150201.2.78.1512
39201.2.78.152/30201.2.78.153 to 201.2.78.154201.2.78.1552
40201.2.78.156/30201.2.78.157 to 201.2.78.158201.2.78.1592
41201.2.78.160/30201.2.78.161 to 201.2.78.162201.2.78.1632
42201.2.78.164/30201.2.78.165 to 201.2.78.166201.2.78.1672
43201.2.78.168/30201.2.78.169 to 201.2.78.170201.2.78.1712
44201.2.78.172/30201.2.78.173 to 201.2.78.174201.2.78.1752
45201.2.78.176/30201.2.78.177 to 201.2.78.178201.2.78.1792
46201.2.78.180/30201.2.78.181 to 201.2.78.182201.2.78.1832
47201.2.78.184/30201.2.78.185 to 201.2.78.186201.2.78.1872
48201.2.78.188/30201.2.78.189 to 201.2.78.190201.2.78.1912
49201.2.78.192/30201.2.78.193 to 201.2.78.194201.2.78.1952
50201.2.78.196/30201.2.78.197 to 201.2.78.198201.2.78.1992
51201.2.78.200/30201.2.78.201 to 201.2.78.202201.2.78.2032
52201.2.78.204/30201.2.78.205 to 201.2.78.206201.2.78.2072
53201.2.78.208/30201.2.78.209 to 201.2.78.210201.2.78.2112
54201.2.78.212/30201.2.78.213 to 201.2.78.214201.2.78.2152
55201.2.78.216/30201.2.78.217 to 201.2.78.218201.2.78.2192
56201.2.78.220/30201.2.78.221 to 201.2.78.222201.2.78.2232
57201.2.78.224/30201.2.78.225 to 201.2.78.226201.2.78.2272
58201.2.78.228/30201.2.78.229 to 201.2.78.230201.2.78.2312
59201.2.78.232/30201.2.78.233 to 201.2.78.234201.2.78.2352
60201.2.78.236/30201.2.78.237 to 201.2.78.238201.2.78.2392
61201.2.78.240/30201.2.78.241 to 201.2.78.242201.2.78.2432
62201.2.78.244/30201.2.78.245 to 201.2.78.246201.2.78.2472
63201.2.78.248/30201.2.78.249 to 201.2.78.250201.2.78.2512
64201.2.78.252/30201.2.78.253 to 201.2.78.254201.2.78.2552
65201.2.79.0/30201.2.79.1 to 201.2.79.2201.2.79.32
66201.2.79.4/30201.2.79.5 to 201.2.79.6201.2.79.72
67201.2.79.8/30201.2.79.9 to 201.2.79.10201.2.79.112
68201.2.79.12/30201.2.79.13 to 201.2.79.14201.2.79.152
69201.2.79.16/30201.2.79.17 to 201.2.79.18201.2.79.192
70201.2.79.20/30201.2.79.21 to 201.2.79.22201.2.79.232
71201.2.79.24/30201.2.79.25 to 201.2.79.26201.2.79.272
72201.2.79.28/30201.2.79.29 to 201.2.79.30201.2.79.312
73201.2.79.32/30201.2.79.33 to 201.2.79.34201.2.79.352
74201.2.79.36/30201.2.79.37 to 201.2.79.38201.2.79.392
75201.2.79.40/30201.2.79.41 to 201.2.79.42201.2.79.432
76201.2.79.44/30201.2.79.45 to 201.2.79.46201.2.79.472
77201.2.79.48/30201.2.79.49 to 201.2.79.50201.2.79.512
78201.2.79.52/30201.2.79.53 to 201.2.79.54201.2.79.552
79201.2.79.56/30201.2.79.57 to 201.2.79.58201.2.79.592
80201.2.79.60/30201.2.79.61 to 201.2.79.62201.2.79.632
81201.2.79.64/30201.2.79.65 to 201.2.79.66201.2.79.672
82201.2.79.68/30201.2.79.69 to 201.2.79.70201.2.79.712
83201.2.79.72/30201.2.79.73 to 201.2.79.74201.2.79.752
84201.2.79.76/30201.2.79.77 to 201.2.79.78201.2.79.792
85201.2.79.80/30201.2.79.81 to 201.2.79.82201.2.79.832
86201.2.79.84/30201.2.79.85 to 201.2.79.86201.2.79.872
87201.2.79.88/30201.2.79.89 to 201.2.79.90201.2.79.912
88201.2.79.92/30201.2.79.93 to 201.2.79.94201.2.79.952
89201.2.79.96/30201.2.79.97 to 201.2.79.98201.2.79.992
90201.2.79.100/30201.2.79.101 to 201.2.79.102201.2.79.1032
91201.2.79.104/30201.2.79.105 to 201.2.79.106201.2.79.1072
92201.2.79.108/30201.2.79.109 to 201.2.79.110201.2.79.1112
93201.2.79.112/30201.2.79.113 to 201.2.79.114201.2.79.1152
94201.2.79.116/30201.2.79.117 to 201.2.79.118201.2.79.1192
95201.2.79.120/30201.2.79.121 to 201.2.79.122201.2.79.1232
96201.2.79.124/30201.2.79.125 to 201.2.79.126201.2.79.1272
97201.2.79.128/30201.2.79.129 to 201.2.79.130201.2.79.1312
98201.2.79.132/30201.2.79.133 to 201.2.79.134201.2.79.1352
99201.2.79.136/30201.2.79.137 to 201.2.79.138201.2.79.1392
100201.2.79.140/30201.2.79.141 to 201.2.79.142201.2.79.1432
101201.2.79.144/30201.2.79.145 to 201.2.79.146201.2.79.1472
102201.2.79.148/30201.2.79.149 to 201.2.79.150201.2.79.1512
103201.2.79.152/30201.2.79.153 to 201.2.79.154201.2.79.1552
104201.2.79.156/30201.2.79.157 to 201.2.79.158201.2.79.1592
105201.2.79.160/30201.2.79.161 to 201.2.79.162201.2.79.1632
106201.2.79.164/30201.2.79.165 to 201.2.79.166201.2.79.1672
107201.2.79.168/30201.2.79.169 to 201.2.79.170201.2.79.1712
108201.2.79.172/30201.2.79.173 to 201.2.79.174201.2.79.1752
109201.2.79.176/30201.2.79.177 to 201.2.79.178201.2.79.1792
110201.2.79.180/30201.2.79.181 to 201.2.79.182201.2.79.1832
111201.2.79.184/30201.2.79.185 to 201.2.79.186201.2.79.1872
112201.2.79.188/30201.2.79.189 to 201.2.79.190201.2.79.1912
113201.2.79.192/30201.2.79.193 to 201.2.79.194201.2.79.1952
114201.2.79.196/30201.2.79.197 to 201.2.79.198201.2.79.1992
115201.2.79.200/30201.2.79.201 to 201.2.79.202201.2.79.2032
116201.2.79.204/30201.2.79.205 to 201.2.79.206201.2.79.2072
117201.2.79.208/30201.2.79.209 to 201.2.79.210201.2.79.2112
118201.2.79.212/30201.2.79.213 to 201.2.79.214201.2.79.2152
119201.2.79.216/30201.2.79.217 to 201.2.79.218201.2.79.2192
120201.2.79.220/30201.2.79.221 to 201.2.79.222201.2.79.2232
121201.2.79.224/30201.2.79.225 to 201.2.79.226201.2.79.2272
122201.2.79.228/30201.2.79.229 to 201.2.79.230201.2.79.2312
123201.2.79.232/30201.2.79.233 to 201.2.79.234201.2.79.2352
124201.2.79.236/30201.2.79.237 to 201.2.79.238201.2.79.2392
125201.2.79.240/30201.2.79.241 to 201.2.79.242201.2.79.2432
126201.2.79.244/30201.2.79.245 to 201.2.79.246201.2.79.2472
127201.2.79.248/30201.2.79.249 to 201.2.79.250201.2.79.2512
128201.2.79.252/30201.2.79.253 to 201.2.79.254201.2.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses